Get agent breakdown
GET /api/workspaces/{workspaceId}/consumption/agent-breakdown
GET
/api/workspaces/{workspaceId}/consumption/agent-breakdown
Retrieve a breakdown of agent activity for a workspace, split into custom (tenant-defined) and system agents.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceId
required
string format: uuid
The workspace to get the breakdown for.
Query Parameters
Section titled “Query Parameters ” period
string
Predefined period: current, previous, last_90d (default current).
from
string
Start of custom range in ISO 8601 format (overrides period).
to
string
End of custom range in ISO 8601 format (overrides period).
Responses
Section titled “ Responses ”Agent activity breakdown.
Breakdown of agent activity for a workspace, split into custom and system agents.
object
custom
required
Custom (tenant-defined) agent activity.
Array<object>
object
agentName
required
string
count
required
integer
system
required
System agent activity.
Array<object>
object
agentName
required
string
count
required
integer
customTotal
required
Total custom agent runs.
integer
Example
524 systemTotal
required
Total system agent runs.
integer
Example
1881 periodStart
required
string format: date-time
Example
2026-03-01T00:00:00.000Z periodEnd
required
string format: date-time
Example
2026-03-31T23:59:59.999Z